@echo off
title Create VHD

:WizInit
if exist VhdTool.exe goto Start

cls
echo.
echo =========================================
echo.
echo - ERROR!
echo   VhdTool.exe NOT FOUND!
echo.
echo - VhdTool.exe and this file MUST BE
echo   in the same directory
echo.
echo - Copy VhdTool.exe to current directory
echo   before you continue
echo.
echo =========================================
echo.
pause
goto WizInit

:Start
cls
echo.
echo =========================================
echo.
echo - This wizard attempts to create a VHD file
echo   using information supplied by the user
echo.
echo =========================================
echo.
echo - Enter the NAME of the VHD file
echo   without the [ .vhd ] extension
echo.
echo.
set /P vhdname=- VHD file name = 

cls
echo.
echo =========================================
echo.
echo - Enter the size of VHD in GB + MB
echo.
echo    The size will be the sum of GB and MB numbers entered
echo    (leave empty one of the parameters if not needed)
echo.
echo =========================================
echo.
echo -- Example:
echo.
echo     VHD Size GIGAbytes = 1
echo     VHD Size MEGAbytes = 
echo     will result in 1 GB VHD size
echo.
echo.
echo     VHD Size GIGAbytes = 2
echo     VHD Size MEGAbytes = 512
echo     will result in 2,5 GB VHD size
echo.
echo.
echo     VHD Size GIGAbytes = 
echo     VHD Size MEGAbytes = 800
echo     will result in 800 MB VHD size
echo.
echo =========================================
echo.
set /P VHDSize_GB=- VHD Size GIGAbytes = 
set /P VHDSize_MB=- VHD Size MEGAbytes = 
set /A vhdsize=1073742*VHDSize_GB+1049*VHDSize_MB
set vhdsize=%vhdsize%000
echo.
echo =========================================
echo.
echo VHD Size will be (bytes): %vhdsize%
echo.
echo =========================================
echo.
echo - You are ready to create the VHD file
echo.
pause

cls
echo.
echo - Creating the VHD file
echo.
echo - Command line is
echo   %vhdname%.vhd %vhdsize%
echo.
echo =========================================
echo.
VhdTool.exe /create %vhdname%.vhd %vhdsize%
echo.
echo =========================================
echo.
echo - FINISHED. Wizard will close now.
echo.
pause